List customers
curl --request GET \
--url https://{shop_domain}/api/partner/v1/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://{shop_domain}/api/partner/v1/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{shop_domain}/api/partner/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "customer",
"id": 101,
"name": null,
"first_name": null,
"last_name": null,
"company_name": null,
"email": null,
"phone": null,
"address": null,
"created_at": "2026-06-27T10:15:00+01:00",
"updated_at": "2026-06-27T10:20:00+01:00"
}
],
"links": {
"next": "https://your-shop.example/api/partner/v1/customers?cursor=eyJleGFtcGxlIjp0cnVlfQ",
"prev": null
},
"meta": {
"per_page": 25,
"has_more": true
}
}Required scope: partner.customers.read. The optional partner.customers.pii scope only controls PII field population; without it customer name, first name, last name, company name, email, phone, and address are returned as null.
GET
/
customers
List customers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page size. Values above the maximum are clamped.
Required range:
1 <= x <= 100Last modified on July 2, 2026
⌘I